.button {
    background-color: var(--buttons-color);
    color: var(--buttons-text-color);
    padding: 10px 20px;
    font-weight: 600;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1rem;
    width: 100%;
    transition: .3s;
}

.button--index {
    width: max-content;
    width: 200px;
    text-align: center;
    padding: 1.5rem;
}

.button:hover {
    background-color: var(--buttons-hover-color);
}

.input {
    position: relative;
    margin-bottom: 20px;
}

.input__entry {
    width: calc(100% - 20px);
    padding: 10px;
    border: none;
    border-bottom: 2px solid var(--main-color);
    outline: none;
    font-size: 1rem;
    transition: border-bottom-color 0.3s;
}

.input__entry:focus {
    border-bottom-color: var(--main-color-hover);
}

.input__label {
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    color: transparent;
    font-size: 1rem;
    transition: transform 0.3s, color 0.3s;
}

.input__entry:valid + label,
.input__entry:focus + label {
    transform: translateY(-24px);
    font-size: 0.875rem;
    color: var(--text-color-main);
}

.material-icons {
    position: absolute;
    top: 8px;
    right: 10px;
    color: var(--text-color-main);
    transition: color 0.3s;
}


.radio {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0 10px;
}

.radio input {
    margin-right: 10px;
    cursor: pointer;
}

.radio label {
    color: var(--text-color-secoundary);
    font-size: 1rem;
    padding-left: 30px;
    cursor: pointer;
    transform: translateY(-20px);
}

.radio input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    outline: none;
    cursor: pointer;
    margin-right: 5px;
}

.radio input[type="radio"]:checked {
    background-color: var(--main-color);
}

.filter_custom-checkboxes {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 3rem;
}

.filter-group {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}


.checkbox {
    display: flex;
    align-items: center;
}

.checkbox input {
    vertical-align: middle;
}

.checkbox label {
    color: white;
    font-size: 1rem;
    cursor: pointer;
}

.checkbox input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid var(--text-color-main);
    border-radius: 4px;
    outline: none;
    cursor: pointer;
}

.checkbox input[type="checkbox"]:checked {
    background-color: var(--text-color-main);
    border: 2px;
    position: relative;
}

.checkbox input[type="checkbox"]:checked::after {
    content: '';
    position: absolute;
    top: 4px;
    left: 6px;
    width: 6px;
    height: 10px;
    border: solid var(--background-color);
    border-width: 0 3px 3px 0;
    transform: rotate(45deg) translate(-1.5px,-0.7px);
    pointer-events: none;
}

table {
    max-width: 100%;
    width: 100%;
    overflow: hidden;
    border-collapse: collapse;
    border: 1px solid var(--table-label-color);
}

th, td {
    padding: 5px;
    text-align: left;
    color: var(--table-value-text);
    word-wrap: break-word;
    word-break: break-all;
}

th {
    padding-bottom: 6px;
    color: var(--table-label-text);
    background-color: rgba(0, 0, 0, 0.05);
}

td {
    padding-top: 6px;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropbtn {
    background-color: var(--buttons-color);
    color: var(--buttons-text-color);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px 0;
    font-size: 1rem;
    font-weight: 900;
    border: none;
    cursor: pointer;
    border-radius: 4px;
    width: 58px;
}

.dropbtn:hover {
    background-color: var(--buttons-hover-color);
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--buttons-unselected-color);
    width: 58px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 4px;
}

.dropdown-content a {
    padding: 12px 16px;
    text-decoration: none;
    display: flex;
    align-items: center;
}

.dropdown-content a img {
    width: 24px;
    height: auto;
    margin-right: 8px;
}

.dropbtn > img  {
    width: 24px;
    height: auto;
}

.dropdown-content a:hover {
    background-color: var(--buttons-hover-color);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: var(--buttons-hover-color);
}

.countryName {
    display: none;
}

.color__button {
    width: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--buttons-text-color);
    background-color: var(--buttons-color);
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.color__button:hover {
    background-color: var(--buttons-hover-color);
}

.color__button > i {
    position: inherit;
    color: var(--buttons-text-color);
}

.grid-table {
    width: 100%;
    row-gap: 5px;
    display: grid;
    grid-auto-rows: auto;
    border: 1px solid var(--table-label-color);
}

.row-table {
    display: contents;
    grid-template-columns: inherit;
}

.head-item {
    word-break: break-word;
    padding: 5px 5px 6px;
    background-color: rgba(0, 0, 0, 0.05);
    color: var(--table-label-text);
}

.body-item {
    padding: 5px;
    color: var(--table-value-text);
    height: auto;
    word-break: break-all;
}

.camera-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.camera-overlay video {
    max-width: 80%;
    max-height: 80%;
}

.camera-controls-container {
    position: absolute;
    bottom: 20px;
    width: 80%;
    max-width: 800px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.camera-select {
    padding: 10px;
    border-radius: 4px;
    border: none;
    font-size: 16px;
    height: 60px;
    flex-grow: 1;
    max-width: 30%;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    background-color: #fff;
    background-image: url('data:image/svg+xml;utf8,<svg fill="%23212121" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg"><path d="M7 10l5 5 5-5z"/><path d="M0 0h24v24H0z" fill="none"/></svg>');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 24px 24px;
    padding-right: 40px;
    cursor: pointer;
}

.camera-capture-btn {
    background-color: var(--buttons-color);
    border: none;
    border-radius: 4px;
    color: var(--buttons-text-color);
    transition: .3s;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 80px;
    padding: 10px 20px;
    cursor: pointer;
    flex-grow: 2;
    height: 60px;
    max-width: 70%;
}

.camera-capture-btn > .material-icons {
    color: var(--buttons-text-color);
    position: relative;
    top: 0;
    right: 0;
    font-size: 48px;
}

.camera-capture-btn:hover {
    cursor: pointer;
    background: var(--main-color-hover);
    transform: scale(1.03);
}

.editable-image {
    border: 6px solid var(--editable-border-color, var(--main-color));
    border-radius: 8px;
    padding: 4px;
    box-sizing: border-box;
}